clear all;
close all;
clc;


 load datasets;
 X = dataset_A;
 
d = 'cityblock';
d = 'sqeuclidean';
d = 'cosine';
i= 7;
% for i = 2:20;
    idx = kmeans(X,i,'distance',d,'display','off','replicate',20);
    s = silhouette(X,idx,d);
    ms(i) = mean(s);
% end


